デジタルカード API
This request is used by the issuer backend to request the suspension of the digital card if the digital card is active. The result of this operation is synchronous from a TSP point of view (a successful response means that the digital card has been successfully suspended on the TSP itself) but does not guarantee that any update has occurred yet on the device, an optional notification will be sent on successful/unsuccessful completion of the operation on the wallet.
A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.
The id of the issuer
The id of the digital card
[A-Za-z0-9_-]{1,64}Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.
[a-zA-Z0-9_\-\. ]{1,64}The following object represent the account
The reason why the action is performed.
^[a-zA-Z0-9 ]{1,64}$The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION
Successful card suspension request
Operation information.
Unique identifier of the operation
[A-Za-z0-9_-]{1,64}Status of the operation
Bad Request, Invalid request URI or header, or unsupported non-standard parameter
The provided Authorization header is missing or invalid
Forbidden action, check the state of the linked end user (consumer) or account or digital card
Resource not found
Internal Server Error
POST /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:suspend HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46
{
"reason": "text",
"reasonCode": "USER_DECISION"
}{
"operationId": "text",
"status": "PENDING"
}This request is used by the issuer backend to request - the activation of the digital card if it has never been activated - the resumption of the digital card if the digital card is suspended The result of this operation is synchronous from a TSP point of view (a successful response means that the digital card has been successfully resumed on the TSP itself) but does not guarantee that any update has occurred yet on the device, an optional notification will be sent on successful/unsuccessful completion of the operation on the wallet.
A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.
The id of the issuer
The id of the digital card
[A-Za-z0-9_-]{1,64}Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.
[a-zA-Z0-9_\-\. ]{1,64}The following object represent the Digital Card Resume request payload
The reason why the action is performed.
^[a-zA-Z0-9 ]{1,64}$The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION
Successful card resumption
Operation information.
Unique identifier of the operation
[A-Za-z0-9_-]{1,64}Status of the operation
Bad Request, Invalid request URI or header, or unsupported non-standard parameter
The provided Authorization header is missing or invalid
Forbidden action, check the state of the linked end user (consumer) or account or digital card
Resource not found
Internal Server Error
POST /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:resume HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46
{
"reason": "text",
"reasonCode": "USER_DECISION"
}{
"operationId": "text",
"status": "PENDING"
}This request is used by the issuer backend to request the deletion of the digital card. The result of this operation is synchronous from a TSP point of view (a successful response means that digital card has been successfully deleted on the TSP itself) but does not guarantee that any update has occurred yet on the device, an optional notification will be sent on successful/unsuccessful completion of the operation on the wallet.
A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.
The id of the issuer
The id of the digital card
[A-Za-z0-9_-]{1,64}Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.
[a-zA-Z0-9_\-\. ]{1,64}The following object represent the account
The reason why the action is performed.
^[a-zA-Z0-9 ]{1,64}$The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION
Successful card deletion request
Operation information.
Unique identifier of the operation
[A-Za-z0-9_-]{1,64}Status of the operation
Bad Request, Invalid request URI or header, or unsupported non-standard parameter
The provided Authorization header is missing or invalid
Forbidden action, check the state of the linked end user (consumer) or account or digital card
Resource not found
Internal Server Error
POST /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:delete HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46
{
"reason": "text",
"reasonCode": "USER_DECISION"
}{
"operationId": "text",
"status": "PENDING"
}This request is used by the issuer backend to search for digital cards in D1 using a digital PAN as lookup and retrieve card & end user related details. For example this can be used to retrieve detailed information about the digital card.
A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.
The id of the issuer
Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.
[a-zA-Z0-9_\-\. ]{1,64}Ciphered digital PAN, this DPAN is encrypted using the JWE encryption (please refer to the Sensitive Information Encryption for more details)
Content
Once deciphered, the plaintext contains:
| JSON field parameter name | type | description | MOC | Length |
|---|---|---|---|---|
| pan | String | The digital pan value. | M | Up to 19 |
^(?:[A-Za-z0-9+\/]{4})*(?:[A-Za-z0-9+\/]{2}==|[A-Za-z0-9+\/]{3}=)?$The search type
Search Result
Bad Request, Invalid request URI or header, or unsupported non-standard parameter
The provided Authorization header is missing or invalid
Forbidden action, check the state of the linked end user (consumer) or account or digital card
Resource not found
Internal Server Error
POST /banking/v1/issuers/{issuerId}/digitalCards:search HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53
{
"encryptedData": "text",
"searchType": "encryptedData"
}{
"": {
"consumerId": "text",
"digitalCardId": "text",
"deviceId": "text"
}
}This request provides detailed information about the digital card given its card identifier.
A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.
The id of the issuer
The id of the digital card
[A-Za-z0-9_-]{1,64}Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.
[a-zA-Z0-9_\-\. ]{1,64}OK
Provides information about the token. Note that this data is available only if the tokenization is successful or pending.
Unique identifier of the card.
[A-Za-z0-9_-]{1,48}Unique identifier of the token specified by the TSP
Last four digits of the token
The state of the digital card (token)
N.B. Tokens in DELETED state are included only if the corresponding issuer onboarding flag (i.e. manageDeletedToken) is set.
ACTIVE可能な値: The type of the token. Following values are supported:
- SE
- HCE
- COF
- ECOM
- QRC
The card identifier provided by the scheme for a given token requestor. Always present for Visa and Mastercard. When token requestor is ApplePay, it corresponds to the FPANID. Each stakeholder uses a different term to identify this entity; for the sake of clarify a summary table is reported below:
| VTS | MDES | Apple Pay |
|---|---|---|
| panReferenceID | panUniqueReference | FPANID |
List of all devices bound to this token. A device is represented by its binding reference.
The provisioning time of the token. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD
The last time the token keys have been replenished. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD
The last time the token status has been changed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD
Boolean Flag indicating whether the token is primary or auxiliary.
Bad Request, Invalid request URI or header, or unsupported non-standard parameter
The provided Authorization header is missing or invalid
Forbidden action, check the state of the linked end user (consumer) or account or digital card
Resource not found
Internal Server Error
GET /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId} HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"parentCardId": "text",
"digitalCardId": "text",
"panSuffix": "text",
"state": "ACTIVE",
"type": "text",
"schemeCardId": "text",
"deviceBindingList": [
"text"
],
"provisioningTime": "text",
"lastReplenishTime": "text",
"lastStateChangeTime": "text",
"isPrimary": true,
"digitalCardRequestorInformation": {
"id": "text",
"walletId": "text",
"name": "text",
"tspId": "text",
"originalDigitalCardRequestorId": "text",
"recommendation": "NOT_APPLICABLE",
"walletAccountId": "text",
"captureMethod": "text"
},
"deviceInformation": {
"deviceId": "text",
"digitalCardStorageType": "text",
"manufacturer": "text",
"brand": "text",
"model": "text",
"osVersion": "text",
"firmwareVersion": "text",
"phoneNumber": "text",
"fourLastDigitPhoneNumber": "text",
"deviceName": "text",
"deviceParentId": "text",
"language": "text",
"serialNumber": "text",
"timeZone": "text",
"timeZoneSetting": "text",
"simSerialNumber": "text",
"IMEI": "text",
"networkOperator": "text",
"networkType": "text"
}
}A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.
The id of the issuer
The id of the digital card
[A-Za-z0-9_-]{1,64}Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.
[a-zA-Z0-9_\-\. ]{1,64}OK
The field is the json (cf http://www.json.org/ ) representation of the DIGITAL card. JWE encryption is used to secure the field (please refer to the Sensitive Information Encryption for more details) Details:
{
"pan":"...",
"exp":"..."
}
The PAN is Mandatory, up to 19 digits.
The expiry date in the format MMYY. It is not provided for UPI scheme.
Bad Request, Invalid request URI or header, or unsupported non-standard parameter
The provided Authorization header is missing or invalid
Forbidden action, check the state of the linked end user (consumer) or account or digital card
Resource not found
Internal Server Error
GET /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/credentials HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"credentials": "text"
}Retrieves the information related to an operation for a digital card.
Operations older than 3 months are removed.
A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.
The id of the issuer
Unique identifier of the operation
[A-Za-z0-9_-]{1,64}The id of the digital card
[A-Za-z0-9_-]{1,64}Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.
[a-zA-Z0-9_\-\. ]{1,64}OK
Operation details related to a specific operationId
Unique identifier of the operation
[A-Za-z0-9_-]{1,64}The lifecycle operation name performed on the target digital card.
A digital card can be activated(i.e. resumed), suspended, deleted from the wallet application or CCI portal; it can also be renewed when expired by the TSP and updated after a card update/renewal operation (concerning a PAN and/or expiry date update).
Note: DELETE_FROM_APP is only applicable for Mastercard digital cards in case of deletion from wallet application.
Status of the operation
The time the request has been processed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD
The time the request has been processed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD
Identifier of the user/entity initiating the operation
- [consumerId if USER]
- [issuerId if ISSUER]
- [cci user id if CCI]
- ["VTS"/"MDES" if TSP]
Container to hold detailed information of other Digital Card operation
Human readable string representing the error, only present in case of operation failure
Bad Request, Invalid request URI or header, or unsupported non-standard parameter
The provided Authorization header is missing or invalid
Resource not found
Internal Server Error
GET /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/operations/{operationId} HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Retrieves all the operations related to a digital card.
The API specifies the starting point (offset) and the number of operations (limit) to be retrieved. Offset 0 (the default) corresponds to the most recent operation. For example a limit of 5 and an offset of 2 would return the five most recent operations before the most recent two”.
If no operations are available for the given digitalCardId, an empty list is returned.
Operations older than 3 months are removed.
A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.
The id of the issuer
The id of the digital card
[A-Za-z0-9_-]{1,64}Index from which the query starts returning operations – offset 0 (the default) corresponds to the most recent operation.
Number of operations to be returned
10Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.
[a-zA-Z0-9_\-\. ]{1,64}OK
Bad Request, Invalid request URI or header, or unsupported non-standard parameter
The provided Authorization header is missing or invalid
Resource not found
Internal Server Error
GET /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/operations HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"operations": [
{
"operationId": "text",
"operation": "SUSPEND",
"status": "SUCCESSFUL",
"startTime": "text",
"endTime": "text",
"requestorId": "text",
"requestorType": "ISSUER",
"reason": "text",
"reasonCode": "USER_DECISION",
"details": {
"bindingInformation": {
"checks": {
"typeNotSupported": {
"result": "YES"
},
"manufacturerNotSupported": {
"result": "YES"
},
"osVersionNotSupported": {
"result": "YES"
},
"osBuildVersionNotSupported": {
"result": "YES"
},
"matchedRule": {
"id": "text",
"name": "text",
"scenario": {
"id": "text",
"name": "text",
"conditionIds": [
"text"
]
}
}
},
"result": {
"flow": "RED",
"idAndVMethods": {
"supported": [
"text"
],
"selected": "text"
}
},
"deviceReference": "text",
"deviceName": "text"
}
},
"error": "text"
}
],
"remainingOperations": 1
}StepUp Auth Result
This request is used by the Issuer backend to approve a stepup authentication request (Device Binding/Cardholder Verification).
A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.
The id of the issuer
The id of the digital card
[A-Za-z0-9_-]{1,64}Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.
[a-zA-Z0-9_\-\. ]{1,64}Step-Up Authentication Result request
this will be the "lifeCycleTraceId" for Visa or the "authenticationCorrelationId" for Mastercard
Successful Step-up authentication
Operation result information.
Unique identifier of the operation
[A-Za-z0-9_-]{1,64}Status of the operation
Bad Request, Invalid request URI or header, or unsupported non-standard parameter
The provided Authorization header is missing or invalid
Forbidden action, check the state of the linked end user (consumer) or account or digital card
Resource not found
Internal Server Error
POST /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:stepupAuthenticationResult HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 76
{
"authenticationId": 1,
"details": {
"result": "SUCCESSFUL",
"method": "BANK_APP"
}
}{
"operationId": "text",
"status": "SUCCESSFUL"
}This request is used by the Issuer backend to unbind a device from a digital card.
A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.
The id of the issuer
The id of the digital card
[A-Za-z0-9_-]{1,64}Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.
[a-zA-Z0-9_\-\. ]{1,64}Unbind request
Corresponds to Visa device index.
^[0-9]{1,2}$Free text field providing additional info on the reason why the action is performed.
^[a-zA-Z0-9]{1,64}$The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION
Successful device binding removal
Operation result information.
Unique identifier of the operation
[A-Za-z0-9_-]{1,64}Status of the operation
Bad Request, Invalid request URI or header, or unsupported non-standard parameter
The provided Authorization header is missing or invalid
Forbidden action, check the state of the linked end user (consumer) or account or digital card
Resource not found
Internal Server Error
POST /banking/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:unbind HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 71
{
"deviceReference": "text",
"reason": "text",
"reasonCode": "USER_DECISION"
}{
"operationId": "text",
"status": "SUCCESSFUL"
}最終更新
役に立ちましたか?